set $lock swaylock -f -c 000000

# Hotkey to lock the screen
bindsym $mod+l exec $lock

exec swayidle -w \
   timeout 300 '$lock' \
   timeout 600 'swaymsg "output * dpms off"' \
        resume 'swaymsg "output * dpms on"' \
   before-sleep '$lock'
